%define _disable_ld_no_undefined 1

Name:		medusa
Version:	2.3
Release:	%mkrel 3
Summary:	Medusa Parallel Network Login Auditor
License:	GPLv2
Group:		Security
URL:		http://www.foofus.net/jmk/medusa/medusa.html
Source0:	https://github.com/jmk-foofus/medusa/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  afpfs-ng-devel
BuildRequires:  apr-devel
BuildRequires:  pkgconfig(libssh2)
BuildRequires:  subversion-devel
BuildRequires:  postgresql-devel
BuildRequires:  pkgconfig(libgcrypt)
BuildRequires:  pkgconfig(freerdp3)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  ncpfs-devel

%description
Medusa is intended to be a speedy, massively parallel, modular, login
brute-forcer. The goal is to support as many services which allow remote
authentication as possible. The author considers following items as some of the
key features of this application:
* Thread-based parallel testing. Brute-force testing can be performed against
  multiple hosts, users or passwords concurrently.
* Flexible user input. Target information (host/user/password) can be specified
  in a variety of ways. For example, each item can be either a single entry or
  a file containing multiple entries. Additionally, a combination file format
  allows the user to refine their target listing.
* Modular design. Each service module exists as an independent .mod file. This
  means that no modifications are necessary to the core application in order to
  extend the supported list of services for brute-forcing.

%prep
%autosetup -p1

sed -e "s:\$_dir/libssh2.so:%{_libdir}/libssh2.so:" -i configure.ac
sed -e "s:/usr/local/lib:%{_libdir}:" -i configure.ac

%build
autoreconf -vfi
%configure --enable-module-afp=yes
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog NEWS README.md TODO docs/*.html
%license COPYING
%{_bindir}/medusa
%{_libdir}/medusa/
%{_mandir}/man1/medusa.1*


%changelog
* Sat May 31 2025 daviddavid <daviddavid> 2.3-3.mga10
+ Revision: 2187493
- use official 2.3 tarball released 2 weeks ago
- switch to freerdp3

* Tue May 20 2025 ns80 <ns80> 2.3-2.mga10
+ Revision: 2185132
- add a patch from Fedora to try to fix building with GCC 15

* Tue Apr 23 2024 daviddavid <daviddavid> 2.3-1.mga10
+ Revision: 2060715
- new version: 2.3

* Sun Apr 16 2023 daviddavid <daviddavid> 2.2-8.mga9
+ Revision: 1953263
- remove no more needed old pcre-devel build dependency

* Sat Apr 02 2022 umeabot <umeabot> 2.2-7.mga9
+ Revision: 1840456
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 2.2-6.mga9
+ Revision: 1747557
- rebuild for openssl 3.0.0

* Tue Aug 25 2020 guillomovitch <guillomovitch> 2.2-5.mga8
+ Revision: 1619013
- fix build

* Thu Feb 13 2020 umeabot <umeabot> 2.2-4.mga8
+ Revision: 1515142
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.2-3.mga7
+ Revision: 1299513
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 2.2-2.mga7
+ Revision: 1239337
- fix build on aarch64
- build with -Wl,--as-needed

* Fri Sep 08 2017 guillomovitch <guillomovitch> 2.2-1.mga7
+ Revision: 1151892
- 2.2 final
- fix build with openssl 1.1

* Wed Mar 02 2016 umeabot <umeabot> 2.2-0.rc2.3.mga6
+ Revision: 983679
- Rebuild for openssl

* Mon Feb 15 2016 umeabot <umeabot> 2.2-0.rc2.2.mga6
+ Revision: 961359
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 guillomovitch <guillomovitch> 2.2-0.rc2.1.mga6
+ Revision: 840332
- new version 2.2rc2

* Tue Nov 25 2014 cjw <cjw> 2.1.1-6.mga5
+ Revision: 799050
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-5.mga5
+ Revision: 747243
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-4.mga5
+ Revision: 682344
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1.1-3.mga4
+ Revision: 507911
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.1.1-2.mga3
+ Revision: 359924
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 guillomovitch <guillomovitch> 2.1.1-1.mga3
+ Revision: 307133
- new version
- switch to security group

* Wed Jul 27 2011 guillomovitch <guillomovitch> 2.0-4.mga2
+ Revision: 129893
- don't forget html doc files

* Tue Jul 19 2011 guillomovitch <guillomovitch> 2.0-3.mga2
+ Revision: 126478
- imported package medusa


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0-3mdv2011.0
+ Revision: 612847
- the mass rebuild of 2010.1 packages

* Mon Apr 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-2mdv2010.1
+ Revision: 536801
- fix plugins location on x86_64

* Mon Apr 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-1mdv2010.1
+ Revision: 536790
- import medusa


* Mon Apr 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-1mdv2010.1
- initial mdv package
